package com.scipanama.photoUploader.platform;

import android.net.Uri;



public enum UriFunction {
	STORAGE("storage"),
	QUEVE("queve");
	
	public static final String sAuthority = "com.scipanama.photoUploader";
	
	private String mSignature;
	
	UriFunction(final String pString){
		this.mSignature = pString;
	}
	
	public String getSignature(){
		return this.mSignature;
	}
	
	public Uri getUri(){
		return Uri.parse("content://" + sAuthority + "/" + this.mSignature);
	}
	
}
