package com.scipanama.photoUploader.dialogs;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;

import com.github.rtyley.android.sherlock.roboguice.fragment.RoboSherlockDialogFragment;
import com.scipanama.photoUploader.R;

/**
 * Dialog that displays information about the author.
 * 
 * @author zubietaroberto
 *
 */
public class AboutDialog extends RoboSherlockDialogFragment implements OnClickListener {

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		final AlertDialog.Builder adb = new AlertDialog.Builder(this.getActivity());
		final LayoutInflater inflater = this.getActivity().getLayoutInflater();
		final View layout = inflater.inflate(R.layout.dialog_about, null);
		
		adb.setView(layout);
		adb.setNeutralButton(android.R.string.ok, this);
		adb.setTitle(R.string.dialog_about_title);
		
		return adb.create();
	}

	@Override
	public void onClick(DialogInterface dialog, int which) {
		//Do nothing
	}

}
