package com.scipanama.photoUploader.services;

import roboguice.service.RoboService;
import android.content.Intent;
import android.os.IBinder;

import com.scipanama.photoUploader.auth.PhotoSyncAdapter;

/**
 * Starts the sync to the server
 * 
 * @author zubietaroberto
 *
 */
public class PhotoSyncService extends RoboService {
	
	private PhotoSyncAdapter mAdapter;

	@Override
	public void onCreate() {
		super.onCreate();
		
		this.mAdapter = new PhotoSyncAdapter(this, true);
		
	}

	@Override
	public IBinder onBind(Intent intent) {
		return this.mAdapter.getSyncAdapterBinder();
	}

}
